/* segid.c
 * get segment id */

#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>
#include <strings.h>
#include <errno.h>
#include <rsmapi.h>

#define MYAPP_ID   "myAPP"

void main (int argc, char **argv)
  {
  int                       status ;
  rsm_memseg_id_t       segIDBase ;
  uint32_t             segmentLength;


  status = rsm_get_segmentid_range(MYAPP_ID,  &segIDBase, &segmentLength);

  if (status)
    {
    fprintf(stderr,"error getting segment id (status %d)\n",status);
    exit(1);
    }


  printf("segment base is %x, length is %d\n",segIDBase, segmentLength);

  }



