#include <strings.h>
#include <stdio.h>
#include <stdlib.h>
#include <scha.h>


main()
{
scha_err_t              err;
scha_resourcegroup_t    handle;
scha_str_array_t       *nodelist;
int                     num;

err = scha_resourcegroup_open("foobar-rg",&handle);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resourcegroup_open()%s\n", scha_strerror(err));
	exit(err);
}
         
err = scha_resourcegroup_get(handle, SCHA_NODELIST, &nodelist);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resourcegroup_get()%s\n", scha_strerror(err));
	err = scha_resourcegroup_close(handle);
	exit(err);
}

printf("Nodes that can host this resource group:\n");
for(num = 0; num < nodelist-> array_cnt; num++){
	printf(" %s ", nodelist->str_array[num]);
}
printf("\n");

err = scha_resourcegroup_close(handle);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resourcegroup_get()%s\n", scha_strerror(err));
	exit(err);
}
}
