#include <strings.h>
#include <stdio.h>
#include <stdlib.h>
#include <scha.h>
#include <syslog.h>

main()
{
scha_err_t     err;
int            lognumber;
char           *nodename;

err = scha_cluster_getlogfacility(&lognumber);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr,"FAILED:scha_cluster_getlogfacility()%s\n", scha_strerror(err));
	exit(err);
}

err = scha_cluster_getnodename(&nodename);
if (err != SCHA_ERR_NOERR) {
	openlog("Sun Cluster", LOG_CONS, lognumber);
	syslog(LOG_ERR, "Function scha_getnodename call failed!	%s\n", scha_strerror(err));
	closelog();
	exit(err);
}

printf("Nodename: %s\n", nodename);
}
