#include <strings.h>
#include <stdio.h>
#include <stdlib.h>
#include <scha.h>


main()
{
scha_err_t 			err;
scha_resourcetype_t         	handle;
const char              	*pathstr;
const char              	*startstr;

err = scha_resourcetype_open("foobar",&handle);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resourcetype_open()%s\n", scha_strerror(err));
	exit(err);
}
         
err = scha_resourcetype_get(handle, SCHA_RT_BASEDIR, &pathstr);

if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resourcetype_get()%s\n", scha_strerror(err));
	err = scha_resourcetype_close(handle); // Close handle.
	exit(err);
}

err = scha_resourcetype_get(handle, SCHA_START, &startstr);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED:scha_resourcetype_get()%s\n", scha_strerror(err));
	err = scha_resourcetype_close(handle); // Close handle.
	exit(err);
}

printf("Resource Type START METHOD: %s/%s\n", pathstr,startstr);

err = scha_resourcetype_close(handle); // Close handle,
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resourcetype_get()%s\n", scha_strerror(err));
	exit(err);
}
}
