#include <strings.h>
#include <stdio.h>
#include <stdlib.h>
#include <scha.h>

main()
{
scha_err_t             err;
scha_resource_t        handle;
const int              *rc;
const int              *ri;

err = scha_resource_open("foobar","foobarrg",&handle);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resource_open()%s\n", scha_strerror(err));
	exit(err);
}
         
err = scha_resource_get(handle, SCHA_RETRY_COUNT, &rc);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resource_get()%s\n", scha_strerror(err));
	err = scha_resource_close(handle); // Close the handle.
	exit(err);
}

err = scha_resource_get(handle, SCHA_RETRY_INTERVAL, &ri);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resource_get()%s\n", scha_strerror(err));
	err = scha_resource_close(handle); // Close the handle.
	exit(err);
}

printf("Retry Count= %d, Retry Interval= %d\n", rc,ri);

err = scha_resource_close(handle); // Close the handle,
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_resource_get()%s\n", scha_strerror(err));
	exit(err);
}
}
