#include <strings.h>
#include <stdio.h>
#include <stdlib.h>
#include <scha.h>

main()
{
scha_err_t              err;
scha_str_array_t        *regd_rts;
scha_cluster_t          handle;
int                     num;
const char              *str;

err = scha_cluster_open(&handle);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_cluster_open()%s\n", scha_strerror(err));
	exit(err);
}
         
err = scha_cluster_get(handle, SCHA_ALL_RESOURCETYPES, &regd_rts);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_cluster_get() %s\n", scha_strerror(err));
	err = scha_cluster_close(handle); // Close the handle.
	exit(err);
}

err = scha_cluster_get(handle, SCHA_CLUSTERNAME, &str);
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_cluster_get()%s\n", scha_strerror(err));
	err = scha_cluster_close(handle); // Close the handle.
	exit(err);
}

printf("Cluster: %s has Registered Resource Types: ",str);

for(num = 0; num < regd_rts-> array_cnt; num++){
	printf(" %s ", regd_rts->str_array[num]);
}

printf("\n");

err = scha_cluster_close(handle); // Close the handle,
if (err != SCHA_ERR_NOERR) {
	fprintf(stderr, "FAILED: scha_cluster_get()%s\n", scha_strerror(err));
	exit(err);
}
}
